- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
BellmanFordDefaultOperationTraits< V, has_inf > Struct Template Reference

## Detailed Description

### template<typename V, bool has_inf = std::numeric_limits<V>::has_infinity>
struct lemon::BellmanFordDefaultOperationTraits< V, has_inf >

This operation traits class defines all computational operations and constants that are used in the Bellman-Ford algorithm. The default implementation is based on the `numeric_limits` class. If the numeric type does not have infinity value, then the maximum value is used as extremal infinity value.

`#include <lemon/bellman_ford.h>`

## Public Types
typedef V | Value

## Static Public Member Functions
static Value | zero ()
| Gives back the zero value of the type.
static Value | infinity ()
| Gives back the positive infinity value of the type.
static Value | plus (const Value &left, const Value &right)
| Gives back the sum of the given two elements.
static bool | less (const Value &left, const Value &right)
| Gives back `true` only if the first value is less than the second.